﻿using System;
using System.Reflection;

namespace AE {
    class Excel : IDisposable {
        Late app = new Late("Excel.Application");
        Late book, sheet;
        public Excel() {
            app.PropSet("Visible", false);
        }
        public void Open(string filename) {
            if (book != null) book.Method("Close", false, null, null);
            book = app.PropLate("Workbooks").MethodLate("Open", filename, 0, true, 5, "", "", false, 2, "",
              true, false, 0, true, false, false);
        }
        public void SelectSheet(int which) {
            sheet = app.PropIndexLate("Worksheets", which);
        }
        /// <summary>
        /// Save the file
        /// </summary>
        /// <param name="filename"></param>
        /// <param name="format">See http://msdn.microsoft.com/en-us/library/bb241279(office.12).aspxs</param>
        public void SaveAs(string filename, int format) {
            sheet.Method("SaveAs", filename, format, Missing.Value, Missing.Value,
                Missing.Value, Missing.Value, Missing.Value, Missing.Value, Missing.Value, Missing.Value);
        }
        public void Dispose() {
            book.Method("Close", false, null, null);
            app.Method("Quit");
        }
    }
}